Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1065562 - Review Request: python-scp - Scp module for paramiko
Summary: Review Request: python-scp - Scp module for paramiko
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-14 23:26 UTC by Orion Poplawski
Modified: 2014-02-20 17:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-20 17:06:05 UTC
i: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Orion Poplawski 2014-02-14 23:26:32 UTC
Spec URL: http://www.cora.nwra.com/~orion/fedora/python-scp.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/python-scp-0.7.1-1.fc20.src.rpm
Description: 
The scp.py module uses a paramiko transport to send and receive files via the
scp1 protocol. This is the protocol as referenced from the openssh scp program,
and has only been tested with this implementation.

Fedora Account System Username: orion

Comment 1 James Slagle 2014-02-19 16:23:37 UTC
Hi, I'm doing an unofficial review as I'm seeking packager sponsorship.

It looks like you're missing a BuildRequires on python-setuptools.
The build in mock fails with:
+ /usr/bin/python setup.py build
Traceback (most recent call last):
  File "setup.py", line 4, in <module>
    from setuptools import setup
ImportError: No module named setuptools


You need to add the following line to your spec file:
BuildRequires:  python-setuptools

Comment 2 Orion Poplawski 2014-02-19 17:34:35 UTC
Ah, good catch.

Spec URL: http://www.cora.nwra.com/~orion/fedora/python-scp.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/python-scp-0.7.1-2.fc20.src.rpm

* Wed Feb 19 2014 Orion Poplawski <orion@cora.nwra.com> - 0.7.1-2
- Add missing BR python-setuptools
- Other minor cleanup
- Add %%check

Comment 3 James Slagle 2014-02-20 01:31:07 UTC
I've reviewed the updated spec (thanks!). I'm doing an unofficial review.

I have a question for other reviewers. The %check in the spec downloads paramiko from pypi since it's listed in the install_requires in setup.py. Is this Ok, or does it violate:

 Must: Python eggs must not download any dependencies during the build process.

I wasn't sure if this meant %build specifically, or the entire rpmbuild.

If so, python-paramiko should be added to the BuildRequires as well so that when %check is run, pypi isn't used.

Package Review
==============

Issues
======
I believe the release needs to be bumped to 2 based on your new entry in the
changelog. rpmlint complained about inchorent version b/c of this.

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 2 files have unknown license. Detailed output of
     licensecheck in /home/jslagle/rpmbuild/python-scp/review-python-
     scp/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[ ]: Python eggs must not download any dependencies during the build process.
     See my question at the top of this comment about this point...
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures. 
     I only tested on x86_64
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-scp-0.7.1-1.fc20.noarch.rpm
          python-scp-0.7.1-1.fc20.src.rpm
python-scp.noarch: W: spelling-error Summary(en_US) paramiko -> Paramaribo
python-scp.noarch: W: spelling-error %description -l en_US py -> pt, p, y
python-scp.noarch: W: spelling-error %description -l en_US paramiko -> Paramaribo
python-scp.noarch: W: spelling-error %description -l en_US openssh -> open ssh, open-ssh, opens sh
python-scp.noarch: W: incoherent-version-in-changelog 0.7.1-2 ['0.7.1-1.fc20', '0.7.1-1']
python-scp.src: W: spelling-error Summary(en_US) paramiko -> Paramaribo
python-scp.src: W: spelling-error %description -l en_US py -> pt, p, y
python-scp.src: W: spelling-error %description -l en_US paramiko -> Paramaribo
python-scp.src: W: spelling-error %description -l en_US openssh -> open ssh, open-ssh, opens sh
2 packages and 0 specfiles checked; 0 errors, 9 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-scp
python-scp.noarch: W: spelling-error Summary(en_US) paramiko -> Paramaribo
python-scp.noarch: W: spelling-error %description -l en_US py -> pt, p, y
python-scp.noarch: W: spelling-error %description -l en_US paramiko -> Paramaribo
python-scp.noarch: W: spelling-error %description -l en_US openssh -> open ssh, open-ssh, opens sh
python-scp.noarch: W: incoherent-version-in-changelog 0.7.1-2 ['0.7.1-1.fc20', '0.7.1-1']
1 packages and 0 specfiles checked; 0 errors, 5 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-scp (rpmlib, GLIBC filtered):
    python(abi)
    python-paramiko



Provides
--------
python-scp:
    python-scp



Source checksums
----------------
https://pypi.python.org/packages/source/s/scp/scp-0.7.1.tar.gz :
  CHECKSUM(SHA256) this package     : 30c42e1cc828dd207d745b06f961839d816a7f07eb5823320ce0ac50b91ce7d9
  CHECKSUM(SHA256) upstream package : 30c42e1cc828dd207d745b06f961839d816a7f07eb5823320ce0ac50b91ce7d9


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -n python-scp
Buildroot used: fedora-20-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 4 Christopher Meng 2014-02-20 03:13:43 UTC
(In reply to James Slagle from comment #3)
> I've reviewed the updated spec (thanks!). I'm doing an unofficial review.
> 
> I have a question for other reviewers. The %check in the spec downloads
> paramiko from pypi since it's listed in the install_requires in setup.py. Is
> this Ok, or does it violate:
> 
>  Must: Python eggs must not download any dependencies during the build
> process.
> 
> I wasn't sure if this meant %build specifically, or the entire rpmbuild.
> 
> If so, python-paramiko should be added to the BuildRequires as well so that
> when %check is run, pypi isn't used.

Yes, you are right.

And because koji doesn't have the internet connection, the check will fail.

Orion, please fix all issues based on James pointed out, and then I will review it.

Comment 5 Orion Poplawski 2014-02-20 04:23:13 UTC
Hmm, didn't catch that in my testing.  Added a BR on paramiko.  Scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=6550256

Spec URL: http://www.cora.nwra.com/~orion/fedora/python-scp.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/python-scp-0.7.1-3.fc20.src.rpm

Comment 6 Christopher Meng 2014-02-20 04:28:49 UTC
Please:

%{__python} --> %{__python2} (otherwise the %globals are useless)

Leave a blank line between each changelog.

PACKAGE APPROVED.

Comment 7 Orion Poplawski 2014-02-20 04:33:40 UTC
Sorry for the sloppy mistakes.  Fixed again.

New Package SCM Request
=======================
Package Name: python-scp
Short Description: Scp module for paramiko
Owners: orion
Branches: f20 f19 epel7 el6
InitialCC:

Comment 8 Gwyn Ciesla 2014-02-20 13:56:26 UTC
Git done (by process-git-requests).

Comment 9 Orion Poplawski 2014-02-20 17:06:05 UTC
Checked in and built on rawhide.  Thanks everyone!


Note You need to log in before you can comment on or make changes to this bug.